Bug 67225 - Incorrect installation of binary package
Incorrect installation of binary package
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cracklib (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-21 05:54 EDT by Andrey
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey 2002-06-21 05:54:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
Symbolic link 'libcrack.so.2' to 'libcrack.so.2.7' is being created while 
building package but isn't being created while creating binary package

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create directory tree needed for RPM-tool
2. rpm -i --rcfile WORK_DIR/rpmrc cracklib-2.7-12.src.rpm
3. rpm -bb --rcfile WORK_DIR/rpmrc WORK_DIR/SPECS/cracklib.spec
4. cd WORK_DIR/RPMS/i386
5. rpm2cpio cracklib-2.7-12.i386.rpm | cpio -idmuv --no-absolute-filenames
6. rpm2cpio cracklib-dicts-2.7-12.i386.rpm | cpio -idmuv --no-absolute-filenames

Actual Results:  There is no 'libcrack.so.2' link in ./usr/lib


Expected Results:  link 'libcrack.so.2' to 'libcrack.so.2.7' should exist in 
built binary package

Additional info:

workaround: patch to cracklib/Makefile:
--- cracklib/Makefile.orig      Fri Jun 21 12:41:50 2002
+++ cracklib/Makefile   Fri Jun 21 13:51:25 2002
@@ -24,5 +24,6 @@

 install: $(LIB) crack.h
        install -m 755 $(LIB).$(VERSION) $(ROOT)$(libdir)
-       ln -sf $(LIB).$(VERSION) $(ROOT)$(libdir)/$(LIB)
+       ln -sf $(LIB).$(VERSION) $(ROOT)$(libdir)/$(LIB).$(MAJOR)
+       ln -sf $(LIB).$(MAJOR) $(ROOT)$(libdir)/$(LIB)
        install -m 644 crack.h $(ROOT)$(includedir)
Comment 1 Bill Nottingham 2006-08-07 14:51:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:14:12 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.